Subject: Re: bug#27442: Un-obsolete x-clipboard-yank, or provide analogous functional

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Jul 2021 14:21:04 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 05 Jul 2021 22:11:22 +0200
> 
> (kill-new "foo")
> (gui-selection-value)
> => nil
> 
> Could we use a different way to identify this situation that's less
> fragile?

AFAIK, there's no reasonable way of doing a better check.

> Hm...  I don't really see any with our current low-level
> functions.  I think x-get-selection-internal could have returned more
> metadata -- the timestamp, for instance, which would have allowed us to
> see whether we ourselves really pushed the data to the clipboard.

Where would that time stamp come from?

> My analysis here may be wrong, but if this is the reason the code in
> that function is the way it is, I think the right fix here is the
> trivial patch I proposed, along with more comments in
> `gui-selection-value' that explains what the point of the
> duplicate-ignoring code is.

I admit I don't really understand what the patch does and how.  can
you elaborate on that?